﻿/*I love you IE*/
.typeahead-input::-ms-clear { display: none; }

/**
	 Effective Rights Lookup and co
*/

.pseudo-hidden {
    border: none;
    height: 0;
    position: absolute;
    width: 0;
}

#token-lookup #user-label {
    margin-right: 10px;
    text-align: right;
}


.text-success a { color: #3c763d; }

/* Session Killer*/

#session-killed-info:hover {
    cursor: pointer;
    opacity: 0.5;
}

#session-killed-info { font-size: 16px; }

#session-killed-info > span {
    float: right;
    font-size: 20px;
    line-height: 21px;
    padding-right: 5px;
}

/* Browser Version*/

.browserversion-container {
    border: 2px solid #f2dede !important;
    margin: 0 auto;
    padding: 15px;
    width: 440px;
}

.browserversion-logo {
    display: inline-block;
    width: 100px;
}

.browserversion-logo > span {
    color: #f1c0c0;
    font-size: 88px;
}

.browserversion-txt {
    color: #f14d4d;
    display: inline-block;
    font-size: 13px;
    width: 300px;	
}

/* NO SCRIPT*/

.noscript-container {

    height: 100%;
    position: absolute;
    top: 42px;
    width: 100%;
}

.noscript-msg {
	
    background-color: #fff;
    border: 5px solid #f2dede;
    border-radius: 10px;
    color: #f1c0c0;
    height: 100px;
    margin: auto;
    padding-left: 15px;
    position: relative;
    top: 15%;
    width: 620px;
}

.noscript-msg > div {
    float: left;
    height: 100%;
}


.noscript-msg > div:first-child > span {
    display: inline-block;
    font-size: 67px;
    line-height: 95px;
}

.noscript-msg label {
    font-size: 20px;
    padding-top: 15px;
}

/* NOSCRIPT END*/

.add-top-margin-15 { margin-top: 15px; }

body {
    background-color: #eee;
    font-size: 12px;
    padding-bottom: 20px;
    padding-top: 50px;
}

.no-lr-padding {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.no-r-padding { padding-right: 0 !important; }

.navbar {
    min-height: 30px;
    white-space: nowrap;
}

.navbar-nav { margin-top: 0; }

.navbar-inverse .navbar-toggle { border-color: #fff; }

.navbar-inverse .navbar-collapse, .navbar-inverse { border-color: #fff; }

.navbar-form { border: none; }

.navbar-brand {
    height: auto;
    margin-top: 0;
    padding: 10px 15px;
}

.navbar-right { margin-right: 0; }

div[readonly]:hover, input[readonly]:hover, select[readonly]:hover { cursor: not-allowed; }

.flip {
    -moz-transform: scaleX(-1); /* Gecko */
    -o-transform: scaleX(-1); /* Operah */
    -webkit-transform: scaleX(-1); /* webkit */
    filter: FlipH;
    transform: scaleX(-1); /* standard */
}

/*bootstrap overwrite*/

.panel-group { margin-bottom: 0; }

.label {
    font-size: 100%;
    padding: .3em .6em .3em;
}

.bootstrap-tagsinput { min-height: 32px; }

.bootstrap-tagsinput.disabled {
    background-color: #eee;
    opacity: 1;
}

/*bootstrap enhancement*/

.multiselect-container > li { padding: 0 0 2px 10px; }

.multiselect-container > .active > a {
    background-color: #fff;
    color: #333;
}

.multiselect-container li:hover > a {
    background-color: #fff;
    color: #333;
}

.multiselect-container li.active:hover > a {
    background-color: #fff;
    color: #333;
}

.dropdown-inline { display: inline-block; }

.dropdown-menu {
    max-height: 55vh;
    overflow-x: hidden;
    overflow-y: auto;
}

.dropdown-menu > li > a > span.disabled { color: #CCCCCC; }

.no-whitespace-break { white-space: nowrap; }

.container-fluid { padding: 0; }

.container-gpv { max-width: 1200px; }


.container-gpv:before {
    content: "";
    display: table;
}

.container-gpv:after {
    clear: both;
    content: "";
    display: table;
}

/**********************************************************************/

/****                            LOGIN                            *****/

/**********************************************************************/

.well-login {
    margin: 0 auto;
    padding: 15px;
    width: 532px;
}

.login-submit { text-align: right; }

.login-footer {
    margin-left: auto;
    margin-right: auto;
    padding-left: 0;
    width: 455px;
}

/* Set padding to keep content from hitting the edges */

.body-content {
    margin-top: 10px;
    padding-left: 15px;
    padding-right: 15px;
    position: relative;
}

.clearfix:after {
    clear: both;
    content: ".";
    display: block;
    height: 0px;
    visibility: hidden;
}

.focused {
    background-color: #D9EDF7;
    border-color: #9ecaed;
    box-shadow: 0 0 10px #9ecaed;
}

/**********************************************************************/

/****                       GLOBAL STYLES                         *****/

/**********************************************************************/

.body { font-size: 12px; }

h1 {
    font-size: 30px;
    margin-bottom: 10px;
    margin-top: 0;
}

h2 {
    font-size: 20px;
    margin-bottom: 10px;
    margin-top: 0;
}

h3 {
    font-size: 12px;
    margin-bottom: 5px;
    margin-top: 0;
}

.navbar-nav > li > a {
    padding-bottom: 10px;
    padding-top: 10px;
}

.navbar-inverse .navbar-nav > li > p {
    color: #999999;
    line-height: 20px;
    padding-top: 10px;
}

.tab-wrapper {
    padding-left: 0;
    padding-right: 0;
}

.tabs-menu {
    padding-right: 0;
    position: fixed;
    width: 120px;
    z-index: 20;
}

@media screen and (max-height: 550px) {
    .tabs-menu { position: absolute; }
}

.tabs-content {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 0 4px 4px 4px;
    margin-left: 119px;
    min-height: 645px;
    min-width: 700px;
    padding: 15px;
    z-index: 10;
}

.tabs-left > li { text-align: center; }

.tabs-left > li > a { padding: 10px 20px 10px 5px; }

.tabs-left { padding-top: 0; }

.tabs-left > li .glyphicon, .tabs-left > li .fa {
    display: block;
    font-size: 25px;
    margin: 0 auto;
    padding-bottom: 5px;
}

.col-xs-120px {
    box-sizing: border-box;
    display: block;
    float: left;
    min-height: 1px;
    position: relative;
    width: 100px;
}

.tab-header { margin-bottom: 20px; }

.breadcrumb {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 15px;
    padding: 8px 8px;
}

div.tab-content-header span.glyphicon { font-size: 25px; }

.nav-tabs .add-icon {
    bottom: 0;
    color: #3c763d;
    display: none;
    position: absolute;
    right: -1px;
    top: 0;
}

.nav-tabs > li > a:hover {
    background-color: #f4f8fa;
    border-color: #ddd #ddd #ddd;
}

.nav-tabs a:hover .add-icon, .nav-tabs li.active .add-icon { display: block; }

.nav-tabs a .add-icon:hover {
    background-color: #dff0d8;
    cursor: pointer;
}

.nav-tabs a .add-icon .glyphicon {
    font-size: 16px;
    line-height: 57px;
    margin: 3px;
}

.twitter-typeahead { width: 100%; }

.custom-typeahead { max-width: 248px; }

.input-group-addon .glyphicon-plus { color: #3c763d; }

.input-group-addon .glyphicon-plus:hover { color: #274C27; }

.no-padding { padding-top: 0 !important; }

.simple-form { position: relative; }

.simple-form-submit { text-align: right; }

.col-fixed-120 { width: 120px; }

.col-fixed-300 { width: 300px; }

.col-fixed-220 { width: 220px; }


.typeahead-input-group { width: 280px; }

.form-horizontal .control-label {
    -ms-word-wrap: break-word;
    word-wrap: break-word;
}

.col-fixed-480 { width: 400px; }

.col-fixed-500 { width: 500px; }

.paging { text-align: right; }

.paging ul { margin: 0; }

.bootbox-body-wrapper .glyphicon-wrapper {
    float: left;
    font-size: 45px;
    margin-right: 15px;
    padding-right: 15px;
}

.bootbox-body-wrapper .bootbox-body {
    float: left;
    font-size: 16px;
    width: 486px;
}

.small-btn { font-size: 20px; }

.small-btn.small-btn-danger,
.bootbox-body-wrapper .glyphicon-wrapper > .glyphicon-exclamation-sign,
.bootbox-body-wrapper .glyphicon-wrapper > .glyphicon-ban-circle { color: #a94442; }

.bootbox-body-wrapper .glyphicon-wrapper > .glyphicon-warning-sign { color: #f0ad4e; }

.bootbox-body-wrapper .glyphicon-wrapper > .glyphicon-info-sign { color: #428bca; }

.small-btn.small-btn-success { color: #449d44; }

.table { margin-bottom: 15px; }

footer {
    margin-top: 15px;
    padding-left: 120px;
}

.progress { position: relative; }

.progress > div.centered-label {
    bottom: 0;
    color: #fff;
    font-size: 12px;
    font-weight: bold;
    left: 0;
    line-height: 30px;
    position: absolute;
    right: 0;
    text-align: center;
    top: 0;
}

.progress > div.centered-label.info { color: #183349; }

.progress > div.centered-label.warning { color: #705025; }

.progress > div.centered-label.danger { color: #592121; }

.progress > div.centered-label.success { color: #1C381C; }

.progress-bar > span {
    color: #eee;
    line-height: 30px;
    text-shadow: 0 0 6px #000;
}

/** Grouped Device States*/

.tooltip { width: 200px; }

.progress-devicestate-certified { background-color: #5cb85c; }

.progress > div.devicestate-certified { color: #1C381C; }

.progress > div.devicestate-inprogress { color: #183349; }

.progress-devicestate-duesoon { background-color: #F0AD4E; }

.progress > div.devicestate-duesoon { color: #705025; }

.progress-devicestate-due { background-color: #D9534F; }

.progress > div.devicestate-due { color: #592121; }

.progress-devicestate-other { background-color: #b6b6b6; }

.progress > div.devicestate-other { color: #1C381C; }

#global-search-form,
#device-search-form,
#user-search-form,
#company-search-form,
#message-search-form,
#report-search-form,
#todo-search-form {
    margin: 5px 30px 4px 0;
    padding: 0 0 0 15px;
    width: 288px;
}

#company-search-form, #message-search-form { width: 100%; }

#GlobalSearch { border-radius: 3px 0 0 3px; }

#global-search-form .typeahead-input-group { max-width: 288px; }

.clickable-rows > tbody > tr:hover { cursor: pointer; }

.alert { padding: 10px; }

td {
    -ms-word-break: break-word;
    word-break: break-word;
}

/*span.search-button:hover {
	cursor: pointer;
}
TODO: Comment this in as soon as combined global search result is available*/

#global-modal > div.modal-dialog, #mass-operation-modal > div.modal-dialog { width: 50%; }

#global-modal > div.modal-dialog.user-profile-modal {
    max-width: 1200px;
    width: auto;
}

.modal { overflow-y: auto; }

.modal.bootbox-confirm .modal-footer button.btn-default {
    float: right;
    margin-left: 5px;
}

input.selection-modal {
    background-color: white !important;
    cursor: default !important;
}

.modal-body > p:not(:last-child) { margin-bottom: 15px; }

.modal-body > p:last-child { margin-bottom: -15px; }

.validation-summary-errors > ul {
    padding-left: 15px;
    padding-top: 5px;
}

.validation-summary-errors > span { font-weight: bold; }

body.wait *, body.wait { cursor: progress !important; }

div.big-modal > div.modal-dialog { width: 1024px; }

div.big-modal > div.modal-dialog .bootbox-body {
    float: none;
    width: auto;
}

div.big-modal > div.modal-dialog code { background-color: transparent; }

li.relative { position: relative; }

li.relative > span.badge {
    background-color: #b94a48;
    position: absolute;
    right: 40px;
    top: 4px;
}

.alert-help {
    background-color: #fff;
    border-color: #bce8f1;
    color: #31708f;
    display: none;
}

body.help .alert-help { display: block !important; }

#toggle-help.activated { color: #D9EDF7; }

.datepicker-days { width: 260px; }

.progress-animated {
    -moz-transition: width 0.5s ease-in-out;
    -o-transition: width 0.5s ease-in-out;
    -webkit-transition: width 0.5s ease-in-out;
    transition: width 0.5s ease-in-out;
}

.hyphenate {
    -moz-hyphens: manual;
    -ms-hyphens: manual;
    -webkit-hyphens: manual;
    hyphens: manual;
}

/**********************************************************************/

/****                       DASHBOARD STYLES                      *****/

/**********************************************************************/

.global-progress { line-height: 30px; }

.global-progress .progress, .global-progress .progress-header { height: 30px; }

.global-progress .progress-pointer-cursor { cursor: pointer; }

.global-messages > h2 { margin-bottom: 5px; }

.global-messages > ul { padding-left: 0; }

.global-messages > ul > li { list-style: none; }

.progress-description {
    float: right;
    padding-left: 15px;
}

.breadcrumb > li:first-child::before {
    color: #cccccc;
    content: "/\00a0";
    padding: 0 5px;
}

button.btn > span.glyphicon, a.btn > span.glyphicon { margin-right: 5px; }

/**********************************************************************/

/****                         LIST STYLES                         *****/

/**********************************************************************/

thead.listing { background-color: #eeeeee; }

thead.listing th:not(:last-child), tbody.listing td:not(:last-child) { border-right: 1px solid #ccc !important; }

thead.listing th, tbody.listing td { border-color: #ccc !important; }

tbody.listing tr.warning > td:not(:last-child) { border-right: 1px solid #ccc !important; }

tbody.listing tr.danger > td:not(:last-child) { border-right: 1px solid #ccc !important; }

tbody.listing tr.success > td:not(:last-child) { border-right: 1px solid #ccc !important; }

td.functions, th.functions, td.select, th.select {
    text-align: center;
    vertical-align: middle !important;
}

td.position {
    text-align: center;
    white-space: nowrap;
}

td.functions { font-size: 20px; }

td.functions > a { margin-left: 10px; }

.table thead > tr > th { border-bottom-width: 1px; }

tbody > tr:first-child > td { border-top: none; }

th.warning, td.warning {
    background-color: #f0ad4e !important;
    border-color: #ddd !important;
}

th.danger, td.danger {
    background-color: #d9534f !important;
    border-color: #ddd !important;
}

th.success, td.success {
    background-color: #5cb85c !important;
    border-color: #ddd !important;
}

th.danger-warning.striped, td.danger-warning.striped {
    background-image: -webkit-gradient(linear, bottom left, right top, color-stop(0, #d9534f), color-stop(0.25, #d9534f), color-stop(0.25, #f0ad4e), color-stop(0.5, #f0ad4e), color-stop(0.5, #d9534f), color-stop(0.75, #d9534f), color-stop(0.75, #f0ad4e));
    background-image: -webkit-linear-gradient(bottom left, #d9534f 0, #d9534f 25%, #f0ad4e 25%, #f0ad4e 50%, #d9534f 50%, #d9534f 75%, #f0ad4e 75%);
    background-image: -moz-linear-gradient(bottom left, #d9534f 0, #d9534f 25%, #f0ad4e 25%, #f0ad4e 50%, #d9534f 50%, #d9534f 75%, #f0ad4e 75%);
    background-image: -ms-linear-gradient(bottom left, #d9534f 0, #d9534f 25%, #f0ad4e 25%, #f0ad4e 50%, #d9534f 50%, #d9534f 75%, #f0ad4e 75%);
    background-image: -o-linear-gradient(bottom left, #d9534f 0, #d9534f 25%, #f0ad4e 25%, #f0ad4e 50%, #d9534f 50%, #d9534f 75%, #f0ad4e 75%);
    background-image: linear-gradient(bottom left, #d9534f 0, #d9534f 25%, #f0ad4e 25%, #f0ad4e 50%, #d9534f 50%, #d9534f 75%, #f0ad4e 75%);
    background-size: 17px 17px;
    border-color: #ddd !important;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#d9534f', endColorstr='#d0e9c6', GradientType=0); /* IE6-8 */
}

th.success.striped, td.success.striped {
    background-image: -webkit-gradient(linear, bottom left, right top, color-stop(0, #5cb85c), color-stop(0.25, #5cb85c), color-stop(0.25, #5CB85C), color-stop(0.5, #5CB85C), color-stop(0.5, #5cb85c), color-stop(0.75, #5cb85c), color-stop(0.75, #5CB85C));
    background-image: -webkit-linear-gradient(bottom left, #5cb85c 0, #5cb85c 25%, #5CB85C 25%, #5CB85C 50%, #5cb85c 50%, #5cb85c 75%, #5CB85C 75%);
    background-image: -moz-linear-gradient(bottom left, #5cb85c 0, #5cb85c 25%, #5CB85C 25%, #5CB85C 50%, #5cb85c 50%, #5cb85c 75%, #5CB85C 75%);
    background-image: -ms-linear-gradient(bottom left, #5cb85c 0, #5cb85c 25%, #5CB85C 25%, #5CB85C 50%, #5cb85c 50%, #5cb85c 75%, #5CB85C 75%);
    background-image: -o-linear-gradient(bottom left, #5cb85c 0, #5cb85c 25%, #5CB85C 25%, #5CB85C 50%, #5cb85c 50%, #5cb85c 75%, #5CB85C 75%);
    background-image: linear-gradient(bottom left, #5cb85c 0, #5cb85c 25%, #5CB85C 25%, #5CB85C 50%, #5cb85c 50%, #5cb85c 75%, #5CB85C 75%);
    background-size: 17px 17px;
    border-color: #ddd !important;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#5cb85c', endColorstr='#d0e9c6', GradientType=0); /* IE6-8 */
}

th.info, td.info {
    background-color: #31708f !important;
    border-color: #ddd !important;
}

th.info.striped, td.info.striped {
    background-image: -webkit-gradient(linear, bottom left, right top, color-stop(0, #31708f), color-stop(0.25, #31708f), color-stop(0.25, #D9EDF7), color-stop(0.5, #D9EDF7), color-stop(0.5, #31708f), color-stop(0.75, #31708f), color-stop(0.75, #D9EDF7));
    background-image: -webkit-linear-gradient(bottom left, #31708f 0, #31708f 25%, #D9EDF7 25%, #D9EDF7 50%, #31708f 50%, #31708f 75%, #D9EDF7 75%);
    background-image: -moz-linear-gradient(bottom left, #31708f 0, #31708f 25%, #D9EDF7 25%, #D9EDF7 50%, #31708f 50%, #31708f 75%, #D9EDF7 75%);
    background-image: -ms-linear-gradient(bottom left, #31708f 0, #31708f 25%, #D9EDF7 25%, #D9EDF7 50%, #31708f 50%, #31708f 75%, #D9EDF7 75%);
    background-image: -o-linear-gradient(bottom left, #31708f 0, #31708f 25%, #D9EDF7 25%, #D9EDF7 50%, #31708f 50%, #31708f 75%, #D9EDF7 75%);
    background-image: linear-gradient(bottom left, #31708f 0, #31708f 25%, #D9EDF7 25%, #D9EDF7 50%, #31708f 50%, #31708f 75%, #D9EDF7 75%);
    background-size: 17px 17px;
    border-color: #ddd !important;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#31708f', endColorstr='#D9EDF7', GradientType=0); /* IE6-8 */
}



tr.info > td, tr.info > th { background-color: #d9edf7; }

.table-hover > tbody > tr > td.info:hover,
.table-hover > tbody > tr > th.info:hover,
.table-hover > tbody > tr.info:hover > td { background-color: #BEDDED; }

th > div > span.sort-buttons {
    font-size: 12px;
    margin-right: 5px;
}

span.sort-buttons > a { color: #555555; }

th > div > span.sort-buttons > a.active { color: #428bca; }

th > div > span.active { color: #428bca; }

td > div.light { color: #999999; }

td.device-state, th.device-state {
    padding: 0 !important;
    text-align: center;
    vertical-align: top !important;
}

td.device-state > div { /*background-color: #ffffff;*/ }

td.device-state input { margin: 4px 0 0 -1px !important; }

td .big { font-size: 18px; }

.lookup-item { white-space: nowrap; }

.lookup-item > .field-name {
    border-right: 1px solid #dddddd;
    display: block;
    float: left;
    margin: -10px 10px -10px -15px;
    padding: 10px 15px;
    white-space: normal;
    width: 50%;
}

.lookup-item > .description {
    border-left: 1px solid #dddddd;
    display: block;
    float: left;
    margin: -10px 10px -10px -11px;
    padding: 10px 15px;
    white-space: normal;
    width: 50%;
}

/**********************************************************************/

/****                   DEVICE SEARCH STYLES                      *****/

/**********************************************************************/


#devices .subtype-legend {
    color: #333333;
    font-weight: normal;
}

#devices .subtype-field {
    border: none;
    border-bottom: 1px dashed #cccccc;
    color: #333333;
    font-size: 16px;
    font-weight: normal;
}

#devices fieldset.seperator { margin-top: 10px; }

#devices fieldset.seperator > legend {
    border-top: 2px dotted #cccccc;
    padding-top: 15px;
    width: 100%;
}

#devices .alert-info {
    margin-bottom: 10px;
    margin-top: 5px;
}

.additional-device-filters .column, #additional-user-filters .column, #additional-company-filters .column {
    float: left;
    width: 10%;
}

.additional-device-filters .column.center, #additional-user-filters .column, #additional-company-filters .column.center { text-align: center; }

.additional-device-filters .column.colum-h30, #additional-user-filters .column.colum-h30, #additional-company-filters .column.colum-h30 { padding-top: 7px; }


.additional-device-filters .column > div.input-group, #additional-user-filters .column > div.input-group, #additional-company-filters .column > div.input-group { width: 150px; }

.additional-device-filters .filter-row:not(:last-child), #additional-user-filters .filter-row:not(:last-child), #additional-company-filters .filter-row:not(:last-child) { margin-bottom: 15px; }

.additional-device-filters .filter-row input:not([type=radio]):not([type=checkbox]):not([class~=selection-modal]):not([class~=xdatepicker]):not([class~=typeahead-input]),
#additional-user-filters .filter-row input:not([type=radio]):not([type=checkbox]):not([class~=selection-modal]):not([class~=xdatepicker]):not([class~=typeahead-input]),
#additional-company-filters .filter-row input:not([type=radio]):not([type=checkbox]):not([class~=selection-modal]):not([class~=xdatepicker]):not([class~=typeahead-input]),
.additional-device-filters .filter-row button.multiselect,
#additional-user-filters .filter-row button.multiselect #additional-company-filters .filter-row button.multiselect,
.additional-device-filters .filter-row select,
#additional-user-filters .filter-row select,
#additional-company-filters .filter-row select { width: 180px; }

.filter-row input:not([type=radio]):not([type=checkbox]) { width: 148px; }

.additional-device-filters .filter-row input[type="radio"],
#additional-user-filters .filter-row input[type="radio"],
#additional-user-filters .filter-row input[type="checkbox"],
#additional-company-filters .filter-row input[type="radio"],
#additional-company-filters .filter-row input[type="checkbox"] {
    margin-right: 5px;
    vertical-align: text-bottom;
}

.additional-device-filters .filter-row label,
#additional-user-filters .filter-row label,
#additional-company-filters .filter-row label { font-weight: normal; }

.additional-device-filters .column:not(:last-child),
#additional-user-filters .column:not(:last-child),
#additional-company-filters .column:not(:last-child) { margin-right: 15px; }

.additional-device-filters span.glyphicon-calendar:hover,
#additional-user-filters span.glyphicon-calendar:hover { cursor: pointer; }

#devices .panel-title input { max-width: 100%; }

#devices .panel-title .btn, #reports .panel-title .btn { width: 100%; }

div.fixed-search { line-height: 29px; }

#devices .progress { margin-bottom: 0; }

.datepicker-months { width: 170px !important; }

.mass-operation-selector {
    margin-bottom: 10px;
    vertical-align: middle;
}

.mass-operation-selector select {
    display: inline-block;
    height: 24px;
    line-height: 24px;
    margin-left: 5px;
    max-width: 200px;
    padding: 2px 10px 2px 5px;
    vertical-align: middle;
    width: 40%;		
}

.mass-operation-selector .btn-sm {
    margin-left: 5px;
    padding: 2px 10px;
    vertical-align: middle;
}

@media (min-width: 768px) {
    .left-search-label { text-align: left; }

    .right-search-label { text-align: right; }

    .reset-button { padding-left: 5px; }
}

@media (max-width: 768px) {
    .right-search-label { text-align: left; }

    .search-button {
        margin-bottom: 5px;
        margin-top: 10px;
    }
}

/**********************************************************************/

/****                       DEVICE STYLES                         *****/

/**********************************************************************/

.universal-article-description {
    border-top: 1px dotted #ddd;
}

img.device-class {
    height: 16px;
}

.field-help {
    color: #666666;
    display: block;
    font-size: 11px;
    margin-top: -5px;
}

#devices .alert { max-width: 1200px; }

.fixed-error {
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.6);
    position: fixed;
    z-index: 12000;
}

.device td {
    -ms-word-break: break-word;
    word-break: break-word;
}

.device fieldset h3 {
    font-size: 15px;
    margin-top: 15px;
}

.device td.centered { text-align: center; }

section.device-data { max-width: 1200px; }

.device header h2 { float: left; }

.col-sm-2-5 {
    float: left;
    min-height: 1px;
    padding-left: 5px;
    position: relative;
    width: 20.833333333333333%;
}

.col-sm-2-5 input { width: 50%; }

.col-sm-2-5.search-btn { width: 16%; }

.col-sm-2-5 div.input-group { width: 70%; }

.device fieldset { padding: 0 0 10px 0; }

.device fieldset legend, legend.legend-no-border {
    border: none;
    display: block;
    font-size: 16px;
    margin-bottom: 0px;
    padding: 0 0 5px 0;
    width: auto;
}

legend.legend-no-border {
    display: inline;
    line-height: 28px;
}

.device tr.readonly td, .device td.readonly {
    -moz-background-clip: padding-box;
    -webkit-background-clip: border-box;
    background-clip: padding-box;
    background-color: #ebebeb;
    font-style: italic;
}

legend.legend-no-border > a { margin-left: 5px; }

.device td.right input { text-align: right; }

.device td.bold input { font-weight: bold; }

.device td.quarter-width input { width: 6em !important; }


.device input.end-of-life { color: red; }

.device .certificate-options { max-width: 1200px; }

.device .certificate-options .functions {
    display: block;
    float: right;
    margin-bottom: 10px;
    max-width: 760px;
}

.device .certificate-options label {
    display: block;
    float: left;
    line-height: 30px;
    margin-right: 15px;
}

.device .certificate-options select {
    display: block;
    float: left;
    margin-bottom: 10px;
    margin-right: 15px;
    max-width: 300px;
}

.device .device-data-group { border: 1px solid #cccccc; }

.device .device-data-group:not(:last-child) { margin-bottom: 10px; }

.device table.device-fields { width: 100%; }

.device table td.form-group { margin: 0; }

.device table.device-fields:not(:first-child) { margin-top: 15px; }

.device table.device-fields > tbody > tr > td, .device table.device-fields > tbody > tr > th { border: 1px solid #cccccc; }

.device td.device-header-field {
    text-align: center;
    vertical-align: top;
    width: 20%;
}

.device td.device-header-field > div > label {
    display: block;
    margin-bottom: 5px;
}

.device td.device-header-field:hover { cursor: text; }

.device td.device-header-field.has-error, .device td.device-field.has-error { background-color: #f2dede; }

.device td.device-header-field.has-error input, .device td.device-field.has-error select { background-color: #f2dede; }

.device td.device-header-field.has-error.focused, .device td.device-field.has-error.focused { box-shadow: 0 0 10px #b94a48; }


.device td.device-header-field.disabled:hover { cursor: initial; }

.device td.device-header-field input {
    background-color: transparent;
    border: none;
    box-shadow: none;
    max-width: 100%;
    text-align: center;
    width: 100%;
}

.device td.device-header-field.article input {
    text-align: left;
}

.device td.device-header-field input:focus { box-shadow: none; }

.device td.device-field {
    height: 24px;
    padding: 5px 0px 1px 5px;
    /*line-height: 30px;*/
    padding-left: 5px;
    /*width: 25%;*/
    position: relative;
    vertical-align: top;
}

.device td.device-field > div > label {
    display: block;
    font-weight: bold;
    height: 100%;
    width: 100%;
}

.device td.device-field > div > textarea {
    height: auto;
    overflow: hidden;
    resize: none;
}

.device td.device-field > div > select {
    border: none;
    max-width: 100%;
    outline: none;
    width: 100%;
}

.device td.device-header-field > div > select {
    background-color: transparent;
    border: none;
    display: block;
    margin: 0 auto;
    outline: none;
    width: 50%;
}

.device td.device-field > div > input:not([type='checkbox']), .device td.device-field > div > textarea {
    background-color: transparent;
    border: none;
    max-width: 100%;
    padding-right: 5px;
    width: 100%;
}


.device td.device-header-field input:focus, .device td.device-field input:focus, .device td.device-field textarea:focus { outline: 0; }

.device td.device-header-field > div > .input-group { width: 100% !important; }

.device td.device-header-field > div > .input-group > .input-group-addon {
    background: transparent;
    border: none;
    color: #fff;
    height: 10px;
    padding: 0;
    padding-right: 10px;
}

.device-old-value {
    background-color: #f2dede;
    color: #a94442;
    padding: 2px;
    text-decoration: line-through;
}

.device-new-value {
    background-color: #dff0d8;
    color: #3c763d;
    padding: 2px;
}

.device .input-row {
    height: 32px;
    line-height: 32px;
}

.device .input-description {
    border-right: 1px solid #cccccc;
    float: left;
    font-weight: bold;
    min-width: 25%;
}

.device .input-description span { margin: 5px; }

.device .input-value {
    float: right;
    text-align: right;
    width: 75%;
}

.device .input-value input {
    border: none;
    line-height: 30px;
    margin: 5px;
    margin-top: -10px;
    max-width: 75%;
    text-align: right;
    width: 75%;
}

.device .certificate-signature { padding: 5px; }

.device .certificate-signature span { font-weight: bold; }

.device .certificate-signature .the-signature { text-align: right; }

fieldset.value-change-fieldset {
    -ms-word-break: break-all;
    max-width: 100%;
    word-break: break-all;
}

fieldset.value-change-fieldset legend {
    border-bottom: 0;
    font-size: 16px;
    margin-bottom: 0;
    padding-bottom: 5px;
}

fieldset.value-change-fieldset:not(:last-child) { margin-bottom: 10px; }

fieldset.value-change-fieldset legend span { margin-right: 10px; }

fieldset.value-change-fieldset ul.list-group { margin-bottom: 0; }

#devices fieldset div.disabled-properties input[type=checkbox] { margin-top: 7px; }

#devices fieldset div.disabled-properties input,
#devices fieldset div.disabled-properties select { max-width: 100%; }

#devices fieldset div.disabled-properties > select { width: 120px; }

#devices fieldset div.disabled-properties > label,
#devices fieldset div.disabled-properties > select {
    float: left;
    margin-right: 15px;
}

#devices fieldset div.disabled-properties > span.filler {
    display: block;
    overflow: hidden;
}

.history-header { margin-bottom: 10px; }

.history-header > h5 { float: left; }

.history-header > button.btn { float: right; }

.history-panel { margin-bottom: 15px; }

#devices .device-details .simple-form-submit { padding-right: 0; }

form#device-search-form,
form#user-search-form,
form#report-search-form,
form#todo-search-form { width: 100%; }

form#device-search-form > div.form-group,
form#user-search-form > div.form-group,
form#report-search-form > div.form-group,
form#todo-search-form > div.form-group { width: 290px; }

form#device-search-form > div.panel-group,
form#user-search-form > div.panel-group,
form#company-search-form > div.panel-group,
form#message-search-form > div.panel-group,
form#report-search-form > div.panel-group,
form#todo-search-form > div.panel-group {
    margin-left: -15px;
    margin-top: 15px;
}

form#device-search-form > div.panel-group .panel-title,
form#user-search-form > div.panel-group .panel-title,
form#company-search-form > div.panel-group .panel-title,
form#message-search-form > div.panel-group .panel-title,
form#report-search-form > div.panel-group .panel-title,
form#todo-search-form > div.panel-group .panel-title { font-size: 12px; }

form#device-search-form > div.panel-group .panel-heading,
form#user-search-form > div.panel-group .panel-heading,
form#company-search-form > div.panel-group .panel-heading,
form#message-search-form > div.panel-group .panel-heading,
form#report-search-form > div.panel-group .panel-heading,
form#todo-search-form > div.panel-group .panel-heading { padding: 8px; }

fieldset > div.panel-group {
    margin-bottom: 5px;
    margin-top: 10px;
}

#attachments-table td .glyphicon-trash:hover, #defects-table td .glyphicon-trash:hover { cursor: pointer; }

#attachments-table tfoot > tr > td > .small-btn, #defects-table tfoot > tr > td > .small-btn { float: right; }

#attachments-table td.right, #defects-table td.right { text-align: right; }

#attachments-table tbody td, #defects-table tbody td { vertical-align: middle; }


#certificate-signature { margin-top: 0; }

#certificate-signature td { padding: 5px; }

#certificate-signature td > div.date-signature-inspector { float: left; }

#certificate-signature td > div.signature-and-image {
    float: right;
    text-align: center;
}

#certificate-signature td > div.signature-and-image > img { max-width: 320px; }

#devices .device-details .simple-form-submit input[type=number] {
    display: inline-block;
    vertical-align: middle;
    width: 80px;
}

.modal-body .paging { margin-top: 15px; }

.chain-container-present { display: none; }

.chain-container-missing {
    color: #666666;
    font-style: italic;
    font-weight: bold;
}

.chain-container-missing i {
    color: orange;
    margin-right: 3px;
}

/**********************************************************************/

/****                        USER STYLES                          *****/

/**********************************************************************/

.red-font { color: #d9534f; }

.stamp-container {
    left: 50%;
    position: absolute;
    top: 25%;
    z-index: 10000;
}

.stamp-container canvas {
    -moz-transform: rotate(-35deg);
    -ms-transform: rotate(-35deg);
    -o-transform: rotate(-35deg);
    -webkit-transform: rotate(-35deg);
    left: -50%;
    opacity: 0.45;
    position: relative;
}

#reset-success { margin-top: 15px; }

#delete-logo-btn {
    color: #d9534f;
    font-size: 20px;
    opacity: 0.3;
    position: absolute;
    right: 10px;
    text-shadow: -1px 0 #FFFFFF, 0 1px #FFFFFF, 1px 0 #FFFFFF, 0 -1px #FFFFFF;
    top: 10px;
}

#delete-logo-btn:hover {
    color: #d2322d;
    cursor: pointer;
}

#logo-edit-area:hover #delete-logo-btn { opacity: 1; }

#delete-signature-btn {
    color: #d9534f;
    font-size: 20px;
    opacity: 0.3;
    position: absolute;
    right: 10px;
    text-shadow: -1px 0 #FFFFFF, 0 1px #FFFFFF, 1px 0 #FFFFFF, 0 -1px #FFFFFF;
    top: 10px;
}

#delete-signature-btn:hover {
    color: #d2322d;
    cursor: pointer;
}

#signature-edit-area:hover #delete-signature-btn { opacity: 1; }

table.authorizations > thead > tr {
    border: 1px solid #dddddd;
    border-bottom-width: 1px;
}

table.authorizations th.company-header {
    vertical-align: middle;
    width: 200px;
}

table.authorizations th.options-header {
    vertical-align: middle;
    width: 100px;
}

table.authorizations th, table.authorizations td { text-align: center; }

table.authorizations td.centered { vertical-align: middle; }

/* Set width on the form input elements since they're 100% wide by default */

input,
select,
textarea { /*max-width: 370px;*/ }

/* styles for validation helpers */

.field-validation-error { color: #b94a48; }

.field-validation-valid { display: none; }

input.input-validation-error { border: 1px solid #b94a48; }

input[type="checkbox"].input-validation-error { border: 0 none; }

#users tr.auth-group td { padding: 3px; }

#users tr.auth-group td a {
    font-size: 12px;
    font-weight: bold;
}

/**********************************************************************/

/****                      MESSAGE  STYLES                        *****/

/**********************************************************************/

.linebreak { white-space: pre-wrap; }

.emoji {
    background: transparent url(emojis/smilies.png) 0 0 no-repeat;
    display: inline-block;
    height: 16px;
    padding-left: 16px;
    vertical-align: text-bottom;
}

.emoji.smile { background-position: -145px 0; }

.emoji.sad { background-position: -129px 0; }

.emoji.wink { background-position: -193px 0; }

.emoji.grin { background-position: -65px 0; }

.emoji.surprise { background-position: -177px 0; }

.emoji.devilish { background-position: -32px 0; }

.emoji.angel { background-position: 0px 0; }

.emoji.crying { background-position: -16px 0; }

.emoji.plain { background-position: -113px 0; }

.emoji.smile-big { background-position: -161px 0; }

.emoji.glasses { background-position: -48px 0; }

.emoji.kiss { background-position: -81px 0; }

.emoji.monkey { background-position: -97px 0; }

#smiley_box {
    margin-top: 10px;
    text-align: right;
}

#smiley_box > .emoji:hover { cursor: pointer; }

/**********************************************************************/

/****                      LOCATION STYLES                        *****/

/**********************************************************************/

.location-assignment {
    display: inline-block;
    line-height: 28px;
    min-width: 670px;
    padding-top: 4px;
}

.location-assignment-button { float: right; }

.location-assignment-input {
	
    width: 255px;
    /*margin-right: 4px;*/
}



.locations-top-bar {
    background-color: #f5f5f5;
    border: 1px solid #dddddd;
    border-radius: 5px 5px 5px 0;
    margin-top: 15px;
    padding: 8px;
}

#locations .progress { margin-bottom: 0; }


#locations .locations-left-bar, #spareparts .locations-left-bar {
    background-color: #f5f5f5;
    border: 1px solid #dddddd;
    border-radius: 0 0 5px 5px;
    border-top: none;
    float: left;
    margin-right: 15px;
    margin-top: -1px;
    min-height: 299px;
    overflow: auto;
    padding: 8px;
    width: 280px;
}

#spareparts .locations-left-bar { width: 100%; }

div.list-tree .jstree-leaf > .jstree-ocl, div.list-tree.jstree-default .jstree-node { background: none; }

.node-options a {
    font-size: 12px;
    margin-right: 5px;
}

.node-options a:hover { text-decoration: none; }

a.create { color: #5cb85c; }

a.edit { color: #428bca; }

.node-options a.delete { color: #b94a48; }

#location-wrapper { min-height: 350px; }

#location-wrapper .alert {
    overflow: hidden;
    width: auto;
}

#location-options-wrapper { }

#location-list {
    float: left;
    padding: 10px 5px;
}

#location-devices {
    margin-top: 10px;
    overflow: hidden;
    width: auto;
}

#location-search {
    float: left;
    margin-bottom: 15px;
    width: 260px;
}

#location-company-selection {
    float: right;
    width: 410px;
}

#location-device-assignment {
    margin-bottom: 5px;
    margin-top: 10px;
}

#location-device-assignment > form > input {
    display: inline-block;
    margin-bottom: 10px;
    width: 180px;
}

#location-device-assignment > form > input.first { margin-right: 10px; }

#location-device-assignment > form button { margin-bottom: 10px; }

#location-options-wrapper form {
    float: left;
    width: 50%;
}

#location-options-wrapper form input {
    display: inline-block;
    margin-right: 15px;
    width: 260px;
}

#location-options-wrapper form .btn { margin-right: 15px; }

label.icon-label { margin-right: 15px; }

/*--------------------------------------------------------------------------------*/

.validation-summary-errors { color: #b94a48; }

.validation-summary-valid { display: none; }

a.unclickable, a.unclickable:hover {
    color: #999999;
    cursor: default;
    text-decoration: none;
}

#global-search-form input { background-color: white !important; }

.multiselect { text-align: center; }

.multiselect > .selection {
    display: inline-block;
    height: 22px;
    overflow: hidden;
    vertical-align: middle;
    width: 148px;
}

/*#devices .fixed-search input, #devices .fixed-search span { min-width: 15%; }*/

#devices .fixed-search .btn-group { min-width: 15%; }

#devices .fixed-search button.multiselect.btn {
    padding: 5px 10px;
    width: 100% !important;
}

/*#devices .fixed-search span > * { min-width: 100%; }*/

.panel-group .panel { overflow: visible; }

.jstree-wrapper { margin-top: 15px; }

.jstree-disabled {
    color: #CCCCCC;
    cursor: default;
    pointer-events: none;
}


a.disabled {
    color: #CCCCCC;
    cursor: default;
    pointer-events: none;
}

.asyncUploader { display: block; }

.btn-left {
    float: left;
    margin-left: 10px;
}



.btn:not(:last-child) { margin-right: 10px; }

.btn-group > .btn:not(:last-child) { margin-right: 0; }

.btn-group:not(:last-child) { margin-right: 10px; }

#FileToUpload {
    height: 30px;
    opacity: 0;
    position: absolute;
    top: 0;
    width: 135px;
    z-index: 2;
}

#FileToUpload::-ms-browse {
    height: 30px;
    width: 135px;
}

#FileToUpload::-ms-value {
    height: 0;
    width: 0;
}

#FileToUpload:hover { cursor: pointer; }

span.right, a.right { float: right; }

div.device-type-field-wrapper label { min-width: 49%; }

legend.export-fields {
    font-size: 12px;
    font-weight: bold;
    margin-bottom: 10px;
}

.fields-preview {
    margin-top: 9px;
    max-height: 500px;
    overflow: auto;
}

h5 {
    font-size: 12px;
    font-weight: bold;
}

.export-fields-selection > h5 {
    float: left;
    font-size: 12px;
    font-weight: bold;
    margin-top: 5px;
}

.export-fields-selection > button {
    float: right;
    font-size: 12px;
    font-weight: bold;
}

/*tbody.listing tr:hover {
	cursor: pointer;
}*/

#groups tbody.listing > tr > td.table-left-block,
#groups tbody.listing > tr:hover > td.table-left-block,
#users tbody.listing > tr > td.table-left-block,
#users tbody.listing > tr:hover > td.table-left-block,
#companies tbody.listing > tr > td.table-left-block,
#companies tbody.listing > tr:hover > td.table-left-block,
#home #dashboard-bottom tbody.listing > tr > td.table-left-block,
#home #dashboard-bottom tbody.listing > tr:hover > td.table-left-block { background-color: #A74FD9; }

#groups tbody.listing > tr > td,
#users tbody.listing > tr > td,
#companies tbody.listing > tr > td,
#home #dashboard-bottom tbody.listing > tr > td { background-color: #E5DEF2; }

#groups tbody.listing > tr:hover > td,
#users tbody.listing > tr:hover > td,
#companies tbody.listing > tr:hover > td,
#home #dashboard-bottom tbody.listing > tr:hover > td { background-color: #E2CCEB; }

#users tbody.listing > tr.disabled > td.table-left-block,
#companies tbody.listing > tr.disabled > td.table-left-block,
#users tbody.listing > tr.disabled:hover > td.table-left-block,
#companies tbody.listing > tr.disabled:hover > td.table-left-block { background-color: #D8D8D8; }


#users tbody.listing > tr.disabled > td, #companies tbody.listing > tr.disabled > td { background-color: #EFEFEF; }

#users tbody.listing > tr.disabled:hover > td, #companies tbody.listing > tr.disabled:hover > td { background-color: #E2E2E2; }

body.print {
    background-color: #ffffff;
    font-size: 18px;
    padding: 0 0 0 60px;
}

body.print > #devices {
    margin: 0;
    max-width: 100%;
}

#home #dashboard-bottom { margin-top: 2%; }

#home #dashboard-bottom td.pre-defined-search-name { vertical-align: middle; }

legend.bold, tr.bold { font-weight: bold; }

.bootstrap-tagsinput input { min-width: 120px; }

.additional-device-filters div.column.device-examination { width: auto; }

.device.device-details .device-data fieldset legend select {
    border: medium none;
    font-size: 14px;
    outline: medium none;
}

.device-data fieldset:first-child legend div {
    display: inline;
    font-size: 14px;
}

#messages form textarea#Message_Body { min-height: 200px; }

#messages form div.form-group div.bootstrap-tagsinput input[type=text] { width: 100% !important; }

.add-right-margin-15 { margin-right: 5px; }

.modal-body .col-fixed-480 { width: 390px; }

.terms-area {
    height: 400px;
    max-width: 100%;
    overflow-y: scroll;
    width: 100%;
}

.terms-area li, .terms-area p { text-align: justify; }

input[type="radio"],
input[type="checkbox"] { margin: 2px 0 0; }

.devicetype-item > a { padding-left: 30px !important; }

.deviceclass-item a { font-weight: bold !important; }

.empty-function {
    display: inline-block;
    width: 32px;
}

.label-sm {
    font-size: 9px;
    margin-left: 5px;
}

.defect-removed-signature { max-width: 100px; }

#condition-and-functionality-checklist h2 { margin-bottom: 0; }

#condition-and-functionality-checklist label.light-label { font-weight: normal; }

#condition-and-functionality-table.collapse.in { display: table; }

/*WKHTML FIX, otherwise table header will be repeated and overlap the table content and trs will not be split onto two pages*/

thead { display: table-header-group; }

tfoot { display: table-row-group; }

tr { page-break-inside: avoid; }


/* SUMMERNOTE OVERRIDES */


.node-editor.note-frame { border: 0; }

.external-label {
    color: red;
    font-size: 11px;
    text-transform: uppercase;
}

/*Stupid firefox empty tbody fix*/

tbody:empty { display: none; }

textarea {
    resize: vertical;
}

.btn-defect {
    width: 100%;
}

#the-shoutbox {
    border-radius: 0;
    border-left: none;
    border-right: none;
    border-top: none;
    opacity: 0;
    margin-bottom: 0px;
    overflow-y: auto;
    padding-top:0px;
    padding-bottom:0px;
}

/* Extends behaviour of the default date-time-picker. Click on the input will now open 
   the context menu to pick the date and time. 

   Firefox 100.0.2: There is no context menu to pick the time. */

input[type="datetime-local"] {
    border: none;
    border-color: #0080ff;
    box-sizing: border-box;
    outline: 0;
    padding: 0.25rem;
    position: relative;
}

input[type="datetime-local"]:after {
    content: "\1F4C5";
    color: #333;
    font-size: 1rem;
    padding: 0.5rem;
}

input[type="datetime-local"]:hover:after {
    background-color: hsl(0, 0%, 93%);
    border-radius: 50%;
}

input[type="datetime-local"]::-webkit-calendar-picker-indicator {
    background: transparent;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    color: transparent;
    cursor: pointer;
    width: auto;
    height: auto;
}

.role-tag {
    display: inline-block;
    background-color: #eee;
    border-radius: 0.5em;
    font-weight: 600;
    color: #495057;
    padding: 0.55em 0.75em;
    margin: 0 0.5em 1em 0;
}

@media (min-width: 992px) {
    #role-header {
        min-width: 120px;
        margin-left: 1.5em;
    }
}